Bug 999904 - Guided Decision Table: wrong editors for options' default values
Guided Decision Table: wrong editors for options' default values
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: manstis
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 06:57 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bad default values (43.98 KB, image/png)
2013-08-22 06:57 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-22 06:57:45 EDT
Created attachment 789149 [details]
bad default values

Description of problem:
In the "(options)" section of a Guided DT, you can assign default values to the attributes used. Currently, all of the attributes seem to be using a simple input line with no input validation. 
There are correct editors in the table itself (if you don't mess it up with a bad default value or something) - a calendar to pick a date for date-effective, check-box for negate... - but nothing like that for the default value.

In the attached screenshot, you can see that date attributes won't let you pick a date, salience doesn't have to be a number, etc.
If you add a new row, the default values are not used (they are incorrect after all). The table is corrupted (see the negate column).


Version-Release number of selected component (if applicable):
6.0 ER1


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 manstis 2013-09-16 05:24:10 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=1000406 too.
Comment 6 Radovan Synek 2013-10-22 08:27:51 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.